void moveTheArm(int armPos, int step, int del) {

  if(bowie.bowiearm.getArmParked()) bowie.bowiearm.unparkArm();
  if(bowie.bowiescoop.getEndParked()) bowie.bowiescoop.unparkEnd();

  int prev_pos = bowie.bowiearm.getArmPos();
  int endPos = bowie.bowiescoop.getEndPos();
  if(prev_pos > armPos) { // headed towards ARM_MIN
    for(int i=prev_pos; i>armPos; i-=step) {
      bowie.bowiearm.arm.writeMicroseconds(i + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - i + SERVO_MIN_US);
      bowie.bowiearm.setArmPos(i);
      if(i >= ARM_HOME) {
        endPos = clawParallelValBounds(i, ARM_HOME, ARM_MAX, END_HOME-100, END_PARALLEL_TOP+300);
      } else {
        endPos = clawParallelValBounds(i, ARM_MIN, ARM_HOME, END_PARALLEL_BOTTOM-100, END_HOME-100);
      }
      bowie.bowiescoop.scoop.writeMicroseconds(endPos);
      bowie.bowiescoop.setEndPos(endPos);
      delay(del);
    }
  } else if(prev_pos <= armPos) { // headed towards ARM_MAX
    for(int i=prev_pos; i<armPos; i+=step) {
      bowie.bowiearm.arm.writeMicroseconds(i + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - i + SERVO_MIN_US);
      bowie.bowiearm.setArmPos(i);
      if(i >= ARM_HOME) {
        endPos = clawParallelValBounds(i, ARM_HOME, ARM_MAX, END_HOME-100, END_PARALLEL_TOP+300);
      } else {
        endPos = clawParallelValBounds(i, ARM_MIN, ARM_HOME, END_PARALLEL_BOTTOM-100, END_HOME-100);
      }
      bowie.bowiescoop.scoop.writeMicroseconds(endPos);
      bowie.bowiescoop.setEndPos(endPos);
      delay(del); 
    }
  }
  bowie.bowiearm.arm.writeMicroseconds(armPos + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - armPos + SERVO_MIN_US);
  bowie.bowiearm.setArmPos(armPos);
  delay(del);
  
  
}

int clawParallelValBounds(int arm_Val, int armMin, int armMax, int endMin, int endMax) {
  return (int)constrain( map(arm_Val, armMin, armMax, endMin, endMax) , endMin, endMax);
} //constrain to make sure that it does not result in a value less than 800 - could make the servo rotate backwards.



void emptyScoop() {

  uint16_t prev_arm_pos = bowie.bowiearm.getArmPos();
  uint16_t prev_end_pos = bowie.bowiescoop.getEndPos();

  int endPos;
  int armPos;

  uint16_t arm_to_dump_pos = ARM_MAX+100;
  uint16_t end_tilted_up_pos = prev_end_pos-400;

  if(bowie.bowiehopper.getLidParked()) bowie.bowiehopper.unparkLid();

  // tilt scoop up a bit
  for(int i=prev_end_pos; i<end_tilted_up_pos; i+=2) {
    bowie.bowiescoop.scoop.writeMicroseconds(i);
    bowie.bowiescoop.setEndPos(i);
    delay(2);
    //servoInterrupt(SERVO_END_KEY, i);
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_tilted_up_pos);
  bowie.bowiescoop.setEndPos(end_tilted_up_pos);
  endPos = bowie.bowiescoop.getEndPos(); // setting this here to avoid errors (weird but true)
  //servoInterrupt(SERVO_END_KEY, end_tilted_up_pos);

  // raise the arm while keeping scoop parallel to ground
  Serial << "Going to ARM_MAX..." << endl;
  for(int i=prev_arm_pos; i<ARM_MAX-150; i+=2) {
    bowie.bowiearm.arm.writeMicroseconds(i + bowie.bowiearm.SERVO_OFFSET);
    bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - i + SERVO_MIN_US);
    bowie.bowiearm.setArmPos(i);
    endPos = clawParallelValBounds(i, prev_arm_pos, ARM_MAX-150, end_tilted_up_pos, END_PARALLEL_TOP);
    bowie.bowiescoop.scoop.writeMicroseconds(endPos);
    bowie.bowiescoop.setEndPos(endPos);
    delay(3); 
    //servoInterrupt(SERVO_ARM_AND_END_KEY, i);
    //if(SERVO_OVER_CURRENT_SHUTDOWN) return; // break out of here so the pos doesn't keep moving
  }
  bowie.bowiearm.arm.writeMicroseconds(ARM_MAX-150 + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - ARM_MAX + SERVO_MIN_US);
  bowie.bowiearm.setArmPos(ARM_MAX-150);
  endPos = END_PARALLEL_TOP;
  bowie.bowiescoop.scoop.writeMicroseconds(endPos);
  bowie.bowiescoop.setEndPos(endPos);
  delay(3);
  //servoInterrupt(SERVO_ARM_AND_END_KEY, armPos);

  // ---

  // open lid
  Serial << "Going to LID_MIN..." << endl;
  bowie.bowiehopper.moveLid(LID_MIN, 2, 1);

  // move closer (nudging the arm a bit closer to hopper)
  Serial << "Going to arm_to_dump_pos..." << endl;
  for(int i=ARM_MAX-150; i<arm_to_dump_pos; i+=2) {
    bowie.bowiearm.arm.writeMicroseconds(i + bowie.bowiearm.SERVO_OFFSET);
    bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - i + SERVO_MIN_US);
    bowie.bowiearm.setArmPos(i);
    delay(6);
    //servoInterrupt(SERVO_ARM_KEY, i);
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_to_dump_pos + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_to_dump_pos + SERVO_MIN_US);
  bowie.bowiearm.setArmPos(arm_to_dump_pos);
  delay(6);
  //servoInterrupt(SERVO_ARM_KEY, arm_to_dump_pos);

  Serial << "ok1" << endl;
  bowie.bowiescoop.moveEnd(500, 3, 2);
  Serial << "ok2" << endl;

  // dump scoop
  Serial << "Going to END_MIN..." << endl;
  bowie.bowiescoop.moveEnd(END_MIN, 3, 2);
  Serial << "a1" << endl;
  for(int i=0; i<4; i++) {
    bowie.bowiescoop.moveEnd(END_MIN-300, 3, 1);
    Serial << "a2" << endl;
    bowie.bowiescoop.moveEnd(END_MIN+300, 3, 1);
    Serial << "a3" << endl;
  }
  bowie.bowiescoop.moveEnd(END_HOME, 3, 1);

  // lower the arm back to the previous position
  Serial << "Going to prev_arm_pos..." << endl;
  for(int i=arm_to_dump_pos; i>(ARM_MAX-100); i-=2) {
    bowie.bowiearm.arm.writeMicroseconds(i + bowie.bowiearm.SERVO_OFFSET);
    bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - i + SERVO_MIN_US);
    bowie.bowiearm.setArmPos(i);
    endPos = clawParallelValBounds(i, arm_to_dump_pos, (ARM_MAX-100), prev_end_pos, END_PARALLEL_TOP);
    bowie.bowiescoop.scoop.writeMicroseconds(endPos);
    bowie.bowiescoop.setEndPos(endPos);
    delay(3); 
    //servoInterrupt(SERVO_ARM_AND_END_KEY, i);
    //if(SERVO_OVER_CURRENT_SHUTDOWN) return; // break out of here so the pos doesn't keep moving
  }
  armPos = (ARM_MAX-100);
  bowie.bowiearm.arm.writeMicroseconds(armPos + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - armPos + SERVO_MIN_US);
  bowie.bowiearm.setArmPos(armPos);
  endPos = END_PARALLEL_TOP;
  bowie.bowiescoop.scoop.writeMicroseconds(endPos);
  bowie.bowiescoop.setEndPos(endPos);
  delay(3);
  //servoInterrupt(SERVO_ARM_AND_END_KEY, armPos);

  // close lid
  delay(100);
  Serial << "Going to LID_MAX..." << endl;
  bowie.bowiehopper.moveLid(LID_MAX, 2, 1);

}



