void clawLower() { // frame 1 - 2
  
  // ---

  // 0. end to down
  // 1. set claw to closed <-- disabling for now
  // 2. move end to position
  end_start = END_MAX;
  end_final = END_REFLEX;
  end_pos = end_start;
  
  claw_start = CLAW_HOME;
  claw_final = CLAW_MIN;
  claw_pos = claw_start;
  
  step_delay = 2;
  step_size = 4;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 1 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_start, end_final, claw_final, claw_start);
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      }
      Serial << "A " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      //bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_final, end_start, claw_final, claw_start);
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      }
      Serial << "B " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      //bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  //bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);

  // ----

  // 3. open claw
  // 4. move arm to position
  claw_start = claw_final;   // 1800
  claw_final = CLAW_MAX;     // 1000
  claw_pos = claw_start;
  
  arm_start = ARM_MAX;       // 2200
  arm_final = ARM_HOME-250;  // 1100
  arm_pos = arm_start;
  
  step_delay = 4;
  step_size = 4;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 2 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(arm_pos, arm_start, arm_final, claw_final, claw_start);
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      }
      Serial << "C " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);

    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_final, claw_start);
        //claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      }
      Serial << "D " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }
    
    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);

  // ---
  
}

void clawPick() { // frame 5 - 9

  // ---
  // 7. move end up
  // 8. move arm up
  // open lid
  end_start = end_final;
  end_final = END_HOME-200;//END_MIN;
  end_pos = end_start;

  arm_start = arm_final;
  arm_final = ARM_MAX-200;//ARM_MAX-100;//ARM_MAX;
  arm_pos = arm_start;

  lid_start = LID_MAX;
  lid_final = LID_MIN;
  lid_pos = lid_start;
  
  step_delay = 1;
  step_size = 5;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 5 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;

  if(bowie.bowiehopper.getLidParked()) bowie.bowiehopper.unparkLid();
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
      
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);
      Serial << "G1 " << arm_pos << "   " << arm_start << " -> " << arm_final << endl;

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        //end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "G " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      Serial << "G2 " << lid_pos << "   " << lid_start << " -> " << lid_final << endl;
      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_start, end_final, lid_final, lid_start);
      } else if(lid_start > lid_final) {
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);

      delay(10);
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        //end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "H " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      Serial << "H2 " << lid_pos << "   " << lid_start << " -> " << lid_final << endl;
      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        //lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowie.bowiehopper.lid.writeMicroseconds(lid_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);

  // ---

  // 12. move arm fwd a bit
  // 13. tilt end up a bit
  // 14. open claw
  arm_start = arm_final;
  arm_final = ARM_MAX-50;//ARM_MAX-100;//ARM_MAX;
  arm_pos = arm_start;

  end_start = end_final;
  end_final = END_MIN+100;//END_MIN+300;
  end_pos = end_start;

  claw_start = claw_final;
  claw_final = CLAW_MAX;
  claw_pos = claw_start;
  
  step_delay = 2;
  step_size = 1;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 6 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        //end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "I " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      }
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        //end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "J " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      }
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);


  // ---

  // 15. shake end and claw
  
  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 7 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << "Shake the claw" << endl;
  
  for(int i=0; i<3; i++) {
    bowie.bowiescoop.scoop.writeMicroseconds(END_MIN+300);
    bowieclaw.claw.writeMicroseconds(CLAW_MAX);
    delay(100);
    bowie.bowiescoop.scoop.writeMicroseconds(END_MIN+500);
    bowieclaw.claw.writeMicroseconds(CLAW_MAX+300);
    delay(100);
  }
  
  delay(frame_delay);

  // ---

  // 16. close claw
  // 17. move end middle
  end_start = end_final;
  end_final = END_PARALLEL_BOTTOM;
  end_pos = end_start;

  claw_start = claw_final;
  claw_final = CLAW_MIN;
  claw_pos = claw_start;
  
  step_delay = 4;
  step_size = 2;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 8 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_start, end_final, claw_final, claw_start);
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      }
      //Serial << "K " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_final, claw_start);
        //claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      }
      //Serial << "L " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);
  

  // ---

  // 19. close lid
  // 20. move arm up
  // 21. move end up
  end_start = end_final;
  end_final = END_REFLEX;
  end_pos = end_start;

  arm_start = arm_final;
  arm_final = ARM_MAX;
  arm_pos = arm_start;

  lid_start = lid_final;
  lid_final = LID_MAX;
  lid_pos = lid_start;
  
  step_delay = 5;
  step_size = 1;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 9 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        //end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "G " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      /*
      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_start, end_final, lid_final, lid_start);
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      */
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        //end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "H " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      /*
      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      */
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowie.bowiehopper.lid.writeMicroseconds(lid_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);
  
  // ---
  
}

void clawOpen() {

  claw_final = CLAW_MAX;
  claw_start = CLAW_MIN; //small

  for(int i=claw_start; i>claw_final; i-=3) {
    bowieclaw.claw.writeMicroseconds(i);
    delay(2);
  }
  bowieclaw.claw.writeMicroseconds(claw_final);
  
}

void clawClose() {

  claw_final = CLAW_MIN; // small
  claw_start = CLAW_MAX;//claw_final;
  
  for(int i=claw_start; i<claw_final; i+=3) {
    bowieclaw.claw.writeMicroseconds(i);
    delay(2);
  }
  bowieclaw.claw.writeMicroseconds(claw_final);
  
}

void clawClamp(int sizing) { // frame 3 - 4

  if(sizing == 0) { // large
    claw_final = CLAW_MIN-450;
  } else if(sizing == 1) { // medium
    claw_final = CLAW_MIN-350;
  } else if(sizing == 2) { // small
    claw_final = CLAW_MIN-250;
  } else if(sizing == 3) { // closed
    claw_final = CLAW_MIN;
  }

  // ---

  // Grab it
  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 3 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << "Grab it" << endl;

  claw_start = CLAW_MAX;//claw_final;
  //claw_final = CLAW_MIN-450;
  claw_pos = claw_start;
  
  // grab it
  for(int i=claw_start; i<claw_final; i+=3) {
    bowieclaw.claw.writeMicroseconds(i);
    delay(4);
  }
  bowieclaw.claw.writeMicroseconds(claw_final);
  delay(frame_delay);

  // 5. close claw
  // 6. move end middle
  end_start = end_final;
  end_final = END_PARALLEL_BOTTOM;
  end_pos = end_start;
  
  step_delay = 2;
  step_size = 4;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 4 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);
  
}


void clawMovementTest() {

  // ---

  // 0. end to down
  // 1. set claw to closed
  // 2. move end to position
  end_start = END_MAX;
  end_final = END_REFLEX;
  end_pos = end_start;
  
  claw_start = CLAW_HOME;
  claw_final = CLAW_MIN;
  claw_pos = claw_start;
  
  step_delay = 2;
  step_size = 4;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 1 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_start, end_final, claw_final, claw_start);
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      }
      Serial << "A " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_final, end_start, claw_final, claw_start);
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      }
      Serial << "B " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);

  // ----

  // 3. open claw
  // 4. move arm to position
  claw_start = claw_final;   // 1800
  claw_final = CLAW_MAX;     // 1000
  claw_pos = claw_start;
  
  arm_start = ARM_MAX;       // 2200
  arm_final = ARM_HOME-250;  // 1100
  arm_pos = arm_start;
  
  step_delay = 4;
  step_size = 4;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 2 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(arm_pos, arm_start, arm_final, claw_final, claw_start);
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      }
      Serial << "C " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);

    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_final, claw_start);
        //claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      }
      Serial << "D " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }
    
    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);

  // ---

  // Grab it
  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 3 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << "Grab it" << endl;

  claw_start = claw_final;
  //claw_final = CLAW_MIN;
  claw_final = CLAW_MIN-450;
  claw_pos = claw_start;
  
  // grab it
  for(int i=claw_start; i<claw_final; i+=3) {
    bowieclaw.claw.writeMicroseconds(i);
    delay(2);
  }
  delay(frame_delay);

  // 5. close claw
  // 6. move end middle
  end_start = end_final;
  end_final = END_PARALLEL_BOTTOM;
  end_pos = end_start;
  
  step_delay = 2;
  step_size = 4;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 4 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);


  // ---
  // 7. move end up
  // 8. move arm up
  // open lid
  end_start = end_final;
  end_final = END_HOME-200;//END_MIN;
  end_pos = end_start;

  arm_start = arm_final;
  arm_final = ARM_MAX-200;//ARM_MAX-100;//ARM_MAX;
  arm_pos = arm_start;

  lid_start = LID_MAX;
  lid_final = LID_MIN;
  lid_pos = lid_start;
  
  step_delay = 2;
  step_size = 5;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 5 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        //end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "G " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_start, end_final, lid_final, lid_start);
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        //end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "H " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowie.bowiehopper.lid.writeMicroseconds(lid_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);

  // ---

  // 12. move arm fwd a bit
  // 13. tilt end up a bit
  // 14. open claw
  arm_start = arm_final;
  arm_final = ARM_MAX-100;//ARM_MAX;
  arm_pos = arm_start;

  end_start = end_final;
  end_final = END_MIN+300;
  end_pos = end_start;

  claw_start = claw_final;
  claw_final = CLAW_MAX;
  claw_pos = claw_start;
  
  step_delay = 2;
  step_size = 1;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 6 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        //end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "I " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(arm_pos, arm_start, arm_final, claw_start, claw_final);
      }
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        //end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "J " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        claw_pos = map(arm_pos, arm_final, arm_start, claw_start, claw_final);
      }
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);


  // ---

  // 15. shake end and claw
  
  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 7 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << "Shake the claw" << endl;
  
  for(int i=0; i<3; i++) {
    bowie.bowiescoop.scoop.writeMicroseconds(END_MIN+300);
    bowieclaw.claw.writeMicroseconds(CLAW_MAX);
    delay(100);
    bowie.bowiescoop.scoop.writeMicroseconds(END_MIN+500);
    bowieclaw.claw.writeMicroseconds(CLAW_MAX+300);
    delay(100);
  }
  
  delay(frame_delay);

  // ---

  // 16. close claw
  // 17. move end middle
  end_start = end_final;
  end_final = END_PARALLEL_BOTTOM;
  end_pos = end_start;

  claw_start = claw_final;
  claw_final = CLAW_MIN;
  claw_pos = claw_start;
  
  step_delay = 4;
  step_size = 2;
  step_bound = (int)floor( abs( end_start - end_final ) / step_size );
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 8 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(end_start < end_final) {
      
      end_pos = end_start + (i*step_size);
      if(end_pos > end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        //claw_pos = map(end_pos, end_start, end_final, claw_final, claw_start);
        claw_pos = map(end_pos, end_start, end_final, claw_start, claw_final);
      }
      //Serial << "K " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    } else if(end_start > end_final) {

      end_pos = end_start - (i*step_size);
      if(end_pos < end_final) end_pos = end_final;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);
      
      if(claw_start < claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      } else if(claw_start > claw_final) {
        claw_pos = map(end_pos, end_final, end_start, claw_final, claw_start);
        //claw_pos = map(end_pos, end_final, end_start, claw_start, claw_final);
      }
      //Serial << "L " << claw_pos << "   " << claw_start << " -> " << claw_final << endl;
      bowieclaw.claw.writeMicroseconds(claw_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowieclaw.claw.writeMicroseconds(claw_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;
  
  delay(frame_delay);
  

  // ---

  // 19. close lid
  // 20. move arm up
  // 21. move end up
  end_start = end_final;
  end_final = END_REFLEX;
  end_pos = end_start;

  arm_start = arm_final;
  arm_final = ARM_MAX;
  arm_pos = arm_start;

  lid_start = lid_final;
  lid_final = LID_MAX;
  lid_pos = lid_start;
  
  step_delay = 5;
  step_size = 1;
  step_bound = (int)floor( abs(arm_start - arm_final) / step_size);
  total_time = step_delay * step_bound;

  if(FRAME_CLAW_DEBUG) Serial << "---------- Frame 9 ----------" << endl;
  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_start << " End: " << end_start << " Claw: " << claw_start << endl;
  
  for(int i=0; i<step_bound; i++) {
    
    if(arm_start < arm_final) {
    
      arm_pos = arm_start + (i*step_size);
      if(arm_pos > arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      } else if(end_start > end_final) {
        //end_pos = map(arm_pos, arm_start, arm_final, end_final, end_start);
        end_pos = map(arm_pos, arm_start, arm_final, end_start, end_final);
      }
      Serial << "G " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_start, end_final, lid_final, lid_start);
        lid_pos = map(end_pos, end_start, end_final, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      
    } else if(arm_start > arm_final) {
      
      arm_pos = arm_start - (i*step_size);
      if(arm_pos < arm_final) arm_pos = arm_final;
      bowie.bowiearm.arm.writeMicroseconds(arm_pos + bowie.bowiearm.SERVO_OFFSET);
      bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_pos + SERVO_MIN_US);

      if(end_start < end_final) {
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      } else if(claw_start > claw_final) {
        //end_pos = map(arm_pos, arm_final, arm_start, end_final, end_start);
        end_pos = map(arm_pos, arm_final, arm_start, end_start, end_final);
      }
      Serial << "H " << end_pos << "   " << end_start << " -> " << end_final << endl;
      bowie.bowiescoop.scoop.writeMicroseconds(end_pos);

      if(lid_start < lid_final) {
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      } else if(lid_start > lid_final) {
        //lid_pos = map(end_pos, end_final, end_start, lid_final, lid_start);
        lid_pos = map(end_pos, end_final, end_start, lid_start, lid_final);
      }
      bowie.bowiehopper.lid.writeMicroseconds(lid_pos);
      
    }

    delay(step_delay);
    
  }
  bowie.bowiearm.arm.writeMicroseconds(arm_final + bowie.bowiearm.SERVO_OFFSET);
  bowie.bowiearm.arm2.writeMicroseconds(SERVO_MAX_US - arm_final + SERVO_MIN_US);
  bowie.bowiescoop.scoop.writeMicroseconds(end_final);
  bowie.bowiehopper.lid.writeMicroseconds(lid_final);

  if(FRAME_CLAW_DEBUG) Serial << millis() << " Arm: " << arm_final << " End: " << end_final << " Claw: " << claw_final << endl;

  delay(frame_delay);
  
  // ---
  
}


void slowClawFrames() {

  // 0. end to down
  Serial << "0. END_MAX" << endl;
  bowie.bowiescoop.moveEnd(END_MAX);
  delay(frame_delay);

  // 1. set claw to closed
  Serial << "1. CLAW_MIN" << endl;
  bowieclaw.moveClaw(CLAW_MIN);
  delay(frame_delay);

  // 2. move end to position
  Serial << "2. END_REFLEX" << endl;
  bowie.bowiescoop.moveEnd(END_REFLEX);
  delay(frame_delay);

  // 3. open claw
  Serial << "3. CLAW_MAX" << endl;
  bowieclaw.moveClaw(CLAW_MAX);
  delay(frame_delay);

  // 4. move arm to position
  Serial << "4. ARM_HOME-300" << endl;
  bowie.bowiearm.moveArm(ARM_HOME-300);
  delay(frame_delay);

  // 5. close claw
  Serial << "5. CLAW_MIN" << endl;
  bowieclaw.moveClaw(CLAW_MIN);
  delay(frame_delay);

  // 6. move end middle
  Serial << "6. END_PARALLEL_BOTTOM" << endl;
  bowie.bowiescoop.moveEnd(END_PARALLEL_BOTTOM);
  delay(frame_delay);

  // 7. move end up
  Serial << "7. END_MIN" << endl;
  bowie.bowiescoop.moveEnd(END_MIN);
  delay(frame_delay);

  // 8. move arm up
  Serial << "8. ARM_MAX" << endl;
  bowie.bowiearm.moveArm(ARM_MAX);
  delay(frame_delay);

  // 9. move end down a bit
  Serial << "9. END_HOME-400" << endl;
  bowie.bowiescoop.moveEnd(END_HOME-400);
  delay(frame_delay);

  // 10. move arm back a bit
  Serial << "10. ARM_MAX-100" << endl;
  bowie.bowiearm.moveArm(ARM_MAX-100);
  delay(frame_delay);

  // 11. open lid
  Serial << "11. LID_MIN" << endl;
  bowie.bowiehopper.moveLid(LID_MIN);
  delay(frame_delay);

  // 12. move arm fwd a bit
  Serial << "12. ARM_MAX" << endl;
  bowie.bowiearm.moveArm(ARM_MAX);
  delay(frame_delay);

  // 13. tilt end up a bit
  Serial << "13. END_MIN+500" << endl;
  bowie.bowiescoop.moveEnd(END_MIN+500);
  delay(frame_delay);
  
  // 14. open claw
  Serial << "14. CLAW_MAX" << endl;
  bowieclaw.moveClaw(CLAW_MAX);
  delay(frame_delay);

  // 15. shake end and claw
  Serial << "15. SHAKE END AND CLAW" << endl;
  for(int i=0; i<3; i++) {
    bowieclaw.moveClaw(CLAW_MAX);
    delay(40);
    bowieclaw.moveClaw(CLAW_MAX+300);
    delay(40);
  }
  for(int i=0; i<3; i++) {
    bowie.bowiescoop.moveEnd(END_MIN+300);
    delay(40);
    bowie.bowiescoop.moveEnd(END_MIN+500);
    delay(40);
  }
  delay(frame_delay);

  // 16. close claw
  Serial << "16. CLAW_MIN" << endl;
  bowieclaw.moveClaw(CLAW_MIN);
  delay(frame_delay);

  // 17. move end middle
  Serial << "17. END_PARALLEL_BOTTOM" << endl;
  bowie.bowiescoop.moveEnd(END_PARALLEL_BOTTOM);
  delay(frame_delay);

  // 18. move arm back a bit
  Serial << "18. ARM_MAX-100" << endl;
  bowie.bowiearm.moveArm(ARM_MAX-100);
  delay(frame_delay);

  // 19. close lid
  Serial << "19. LID_MAX" << endl;
  bowie.bowiehopper.moveLid(LID_MAX);
  delay(frame_delay);

  // 20. move arm up
  Serial << "20. ARM_MAX" << endl;
  bowie.bowiearm.moveArm(ARM_MAX);
  delay(frame_delay);

  // 21. move end up
  Serial << "21. END_MIN" << endl;
  bowie.bowiescoop.moveEnd(END_MIN);
  delay(frame_delay);
  
}
